Subject: Re: win2k/cygwin cannot handle even moderately sized packs

From: Jakub Narebski <[email-masked]>
Date: Tue, 07 Nov 2006 16:50:59 +0100

Alex Riesen wrote:

>> So the problem is probably memory fragmentation.
> 
> probably.
> 
>> You might have more joy if you allocated one HUGE chunk immediately on
>> startup to use for the pack, and then kept re-using that chunk.
> 
> Well, it is not _one_ chunk. The windows/cygwin abomin...combination
> may take an issue with this: it seem to copy complete address space
> at fork, which even for such a small packs I have here takes system
> down lightly (yes, I tried it).

Perhaps planned mmapping only parts of packs would help there.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git